UCS und SVN

german

#1

Hallo,

ich verwende eine Web-App die zur Aktualisierung SVN einsetzt. Nun wollte ich nach einem Umzug auf UCS das Update prüfen und bekomme den HInweis, das meine SVN zu alt ist.

UCS-SVN: svn, Version 1.6.17
Die Fehlermeldung der Anwendung:

[quote]svn: The path ‘/NETINST’ appears to be part of a Subversion 1.7 or greater
working copy. Please upgrade your Subversion client to use this
working copy.
[/quote]

Wie bekomme ich ein neueres SVN auf meinen UCS Server? Ein " apt-get install svn" war leider nicht erfolgreich - “E: Paket svn kann nicht gefunden werden.”

Vielen Dank für die Info


#2

Hallo,

das Paket dürfte “subversion” heißen, allerdings hat auch UCS 4.1 kein neueres Subversion als Wheezy, also 1.6.17dfsg.
In Jessie ist 1.8.10, das dürfte dann Ende des Jahres mit UCS 4.2 verfügbar werden.
Wheezy-Backports habe ich mit UCS zusammen noch nicht probiert.

Viele Grüße,
Dirk Ahrnke


#3

Also folgende Lösung bietet sich an:

[quote]I found the best way to delete the .svn folder from the 1.7 working copy
then checkout the 1.6 on top of it. It worked for me, it might work for you as well.[/quote]

LG
Michael